MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027123Open CASCADE[OCCT] OCCT:Visualizationpublic2016-01-30 18:202016-04-20 15:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027123: Visualization, TKOpenGl - fix environment texture GLSL program
DescriptionOpenGl_ShaderManager::prepareStdProgramFlat() produces invalid code for OpenGl_PO_TextureEnv option after texture parameters fix.
Steps To Reproduce
pload MODELING VISUALIZATION
vcaps -ffp 0
vinit View1
vsetdispmode 1
box b 1 2 3
vdisplay b
vfit
vtextureenv on 0
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025539closedbugmaster Open CASCADE Visualization, TKOpenGl - support environmental texture within built-in GLSL programs 
child of 0026122closedbugmaster Community Visualization, TKOpenGl - clipping and capping is broken when ffp is disabled on Linux 

-  Notes
(0050263)
git (administrator)
2016-01-30 18:24

Branch CR27123 has been created by kgv.

SHA-1: 49946cc0d6987ebdec6dd9764fa70cdec37ed1ec


Detailed log of new commits:

Author: kgv
Date: Sat Jan 30 18:24:12 2016 +0300

    0027123: Visualization, TKOpenGl - fix environment texture GLSL program
    
    OpenGl_ShaderManager::prepareStdProgramFlat() - properly initialize vec4.
(0050264)
kgv (developer)
2016-01-30 18:27

Please test the patch, testcase is not needed.
(0050342)
mkv (tester)
2016-02-02 14:52

Dear BugMaster,
Branch CR27123 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 49946cc0d6987ebdec6dd9764fa70cdec37ed1ec

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 1 (1 on master)

products component :
Linux: 36 (36 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 89866867 / 89404159 [+0.52%]
Total CPU difference: 19089.649999999903 / 19103.929999999924 [-0.07%]
products component :
Total MEMORY difference: 25564425 / 25471849 [+0.36%]
Total CPU difference: 8501.33999999998 / 8510.009999999995 [-0.10%]

Testing on Windows:
occt component :
Total MEMORY difference: 57277920 / 57304594 [-0.05%]
Total CPU difference: 17839.6503559989 / 18573.978263198933 [-3.95%]
products component :
Total MEMORY difference: 17255329 / 17269995 [-0.08%]
Total CPU difference: 5738.730786499991 / 6154.957054599985 [-6.76%]

There are no differences in images found by testdiff.
(0050343)
mkv (tester)
2016-02-02 14:52

Dear BugMaster,
Branch CR27123 is TESTED.
(0052843)
git (administrator)
2016-04-17 13:18

Branch CR27123 has been deleted by kgv.

SHA-1: 49946cc0d6987ebdec6dd9764fa70cdec37ed1ec

- Related Changesets
occt: master b872ca56
Timestamp: 2016-01-30 15:24:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027123: Visualization, TKOpenGl - fix environment texture GLSL program

OpenGl_ShaderManager::prepareStdProgramFlat() - properly initialize vec4.
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-30 18:20 kgv New Issue
2016-01-30 18:20 kgv Assigned To => kgv
2016-01-30 18:24 git Note Added: 0050263
2016-01-30 18:25 kgv Relationship added related to 0026122
2016-01-30 18:27 kgv Relationship added related to 0025539
2016-01-30 18:27 kgv Relationship replaced child of 0026122
2016-01-30 18:27 kgv Note Added: 0050264
2016-01-30 18:27 kgv Assigned To kgv => bugmaster
2016-01-30 18:27 kgv Status new => resolved
2016-01-30 18:27 kgv Status resolved => reviewed
2016-02-01 12:27 mkv Assigned To bugmaster => mkv
2016-02-02 14:52 mkv Note Added: 0050342
2016-02-02 14:52 mkv Note Added: 0050343
2016-02-02 14:52 mkv Assigned To mkv => bugmaster
2016-02-02 14:52 mkv Status reviewed => tested
2016-02-02 14:52 mkv Test case number => Not needed
2016-02-05 12:49 bugmaster Changeset attached => occt master b872ca56
2016-02-05 12:49 bugmaster Status tested => verified
2016-02-05 12:49 bugmaster Resolution open => fixed
2016-04-17 13:18 git Note Added: 0052843
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker